# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Exporter.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Test-Mock-LWP
Version:        0.06
Release:        alt2_5
Summary:        Easy mocking of LWP packages
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Test-Mock-LWP/
Source0:        http://archive.cpan.cz//authors/id/L/LU/LUKEC/Test-Mock-LWP-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Test/MockObject.pm)
BuildRequires:  perl(Test/More.pm)

%define bogusprovs 'perl(HTTP::Request)\
perl(HTTP::Response)\
perl(LWP::UserAgent)'
%global provfilt sh -c "%{__perl_provides} | %{__grep} -Fv %{bogusprovs}"
%define __perl_provides %{provfilt}

# Equivalent filter for rpm 4.9 onwards

Source44: import.info
%filter_from_provides /^^perl\\((HTTP::(Request/d
%filter_from_provides /^Response)/d
%filter_from_provides /^LWP::UserAgent)\\)/d


%description
This package arises from duplicating the same code to mock LWP et al in
several different modules I've written. This version is very minimalist,
but works for my needs so far. I'm very open to new suggestions and
improvements.


%prep
%setup -q -n Test-Mock-LWP-%{version}


%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes README
%{perl_vendor_privlib}/*


%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.06-alt2_5
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.06-alt2_4
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 0.06-alt2_2
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_2
- fc import

